Bug 2024963 - Syncing EPEL repos on Satellite 6.10 fails with: "Incoming and existing advisories have the same id but different timestamps and non-intersecting package lists.."
Summary: Syncing EPEL repos on Satellite 6.10 fails with: "Incoming and existing advis...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Pulp
Version: 6.10.0
Hardware: x86_64
OS: Linux
high
high vote
Target Milestone: 6.11.0
Assignee: satellite6-bugs
QA Contact: Lai
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-11-19 15:22 UTC by Jan Senkyrik
Modified: 2022-07-16 00:54 UTC (History)
22 users (show)

Fixed In Version: pulp-rpm-3.17.5
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 2082224 (view as bug list)
Environment:
Last Closed: 2022-07-05 14:30:00 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github pulp pulp_rpm issues 2422 0 None closed A common incoming/existing advisory conflict needs to be handled better 2022-03-29 12:20:21 UTC
Red Hat Knowledge Base (Solution) 6570731 0 None None None 2021-12-08 10:20:43 UTC
Red Hat Product Errata RHSA-2022:5498 0 None None None 2022-07-05 14:30:16 UTC

Description Jan Senkyrik 2021-11-19 15:22:21 UTC
Description of problem:

Synchronization of EPEL repositories fails with the following error:
~~~
Katello::Errors::Pulp3Error
Incoming and existing advisories have the same id but different timestamps and non-intersecting package lists. It is likely that they are from two different incompatible remote repositories. E.g. RHELX-repo and RHELY-debuginfo repo. Ensure that you are adding content for the compatible repositories. To allow this behavior, set ALLOW_AUTOMATIC_UNSAFE_ADVISORY_CONFLICT_RESOLUTION = True (q.v.) in your configuration. Advisory id: FEDORA-EPEL-2016-f74772a384
~~~


Version-Release number of selected component (if applicable):
Satellite 6.10
pulp3


How reproducible:
Can't reproduce.


Additional Info:
This error is being discussed upstream:
> https://community.theforeman.org/t/katello-incoming-and-existing-advisories-have-the-same-id-but-different-timestamps/23954


Kind regards,
Jan

Comment 17 Lai 2022-05-24 23:25:23 UTC
This is a difficult bz to verify.  The best I could do was sync an EPEL repo, then resync it several times to see if there's an issue.  So far, after 5 resyncs, the issue doesn't present itself.  I also checked the code base and everything is in there.



Verified on 6.11 snap 21 with python38-pulp-rpm-3.17.5-1.1.el8pc.noarch.  Tested this on both rhel7 and rhel8.

Comment 20 errata-xmlrpc 2022-07-05 14:30:00 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.11 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:5498


Note You need to log in before you can comment on or make changes to this bug.